Update a member
curl --request PATCH \
--url https://charts.basedash.com/api/public/organizations/{orgId}/members/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"role": "MEMBER",
"fullName": "<string>",
"avatarUrl": "<string>"
}
'import requests
url = "https://charts.basedash.com/api/public/organizations/{orgId}/members/{id}"
payload = {
"role": "MEMBER",
"fullName": "<string>",
"avatarUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({role: 'MEMBER', fullName: '<string>', avatarUrl: '<string>'})
};
fetch('https://charts.basedash.com/api/public/organizations/{orgId}/members/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"deactivatedAt": "2023-11-07T05:31:56Z",
"role": "MEMBER",
"userId": "<string>",
"organizationId": "<string>",
"user": {
"id": "<string>",
"fullName": "<string>",
"avatarUrl": "<string>",
"email": "<string>",
"isEmailVerified": true,
"createdAt": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"title": "<string>"
}
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "RateLimitExceeded",
"detail": "<string>",
"retryAfterMs": 123
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}Members
Update a member
Updates a member role and supported user profile fields. Requires admin access to the organization. Cannot demote the last verified admin.
PATCH
/
api
/
public
/
organizations
/
{orgId}
/
members
/
{id}
Update a member
Authorizations
API key authentication using Bearer token format: Bearer <basedash_api_key>
Body
application/json
Response
Member updated successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I